@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix dash: <http://datashapes.org/dash#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix schema: <http://schema.org/> .
@prefix dbo: <http://dbpedia.org/ontology/> .
@prefix qb: <http://purl.org/linked-data/cube#> .
@prefix ssn: <http://www.w3.org/ns/ssn/> .
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .

aps:d6e3876a-3ab1-4fdf-a492-7f42b5ed3c77
    a sh:NodeShape ;
    dcterms:subject dfgfo:41 ;
    dcterms:title "Machine Tool"@en ;
    dcterms:title "Werkzeugmaschine"@de ;
    dcterms:description "A machine tool for manufacturing and mechanical treatments of parts."@en ;
    dcterms:description "Eine Werkzeugmaschine zur Herstellung und mechanischen Bearbeitung von Bauteilen."@de ;
    dcterms:creator <https://orcid.org/0000-0002-9413-1874> ;
    dcterms:license <https://spdx.org/licenses/CC0-1.0.html> ;
    dcterms:created "2022-04-07"^^xsd:date ;
    sh:node aps:40db38a8-2420-4c02-82f3-9b49c5b172a9 ; # System
    owl:imports aps:40db38a8-2420-4c02-82f3-9b49c5b172a9 ; # System
    sh:property [
        sh:path schema:name ;
        sh:name "name"@en ;
        sh:description "Human readable name of the system."@en ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ;
    ] ;
    sh:property [
        sh:path schema:serialNumber ;
        sh:name "serial number"@en ;
        sh:description "(Unique) Serial number of the system (as given by the manufacturer)."@en ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ;
    ] ;
    sh:property [
        sh:path schema:manufacturer ;
        sh:name "manufacturer"@en ;
        sh:description "Name of the manufacturer of the machine tool."@en ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ; 
    ] ;
    sh:property [
        sh:path qb:order ;
        sh:name "kinematic chain"@en ;
        sh:description "The machines kinematic chain according to ISO 841."@en ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:datatype xsd:string ;
    ] ;
    sh:property [
        sh:path ssn:hasSubSystem ;
        sh:name "axis"@en ;
        sh:description "An axis of the machine."@en ;
        sh:node aps:69b99a97-a95c-484d-a790-bda9a1102278 ; # Machine Tool Axis
    ] ;
    owl:imports aps:69b99a97-a95c-484d-a790-bda9a1102278 ; # Machine Tool Axis
    sh:property [
        sh:path ssn:hasProperty ;
        sh:name "TCP"@en ;
        sh:description "Tool Center Point."@en ;
		sh:node aps:0e43324b-78c2-4bc3-b7db-661b2b0ff1cb ; # Cartesian Coordinates
		sh:minCount 1 ;
		sh:maxCount 1 ;
    ] ;
    owl:imports aps:0e43324b-78c2-4bc3-b7db-661b2b0ff1cb ; # Cartesian Coordinates
.
